import request from '@/utils/request'

// 获取流水信息
export function getBillStatementAll(data) {
  return request({
    url: '/bill/statement/all',
    method: 'post',
    data: {
      orderBumber: data.orderBumber, // 订单号
      billId: data.billId, // 缴费项 id
      billName: data.billName, //  缴费项 名称
      billInvoiceId: data.billInvoiceId, // 缴费单 编号
      payPhone: data.payPhone, //  缴费人手机号
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}

// 下载excel
export function exportExcel() {
  return request({
    url: '/bill/statement/exportExcel',
    method: 'get',
    responseType: 'blob'
  })
}

// 根据点单查询，缴费单
export function getByOrderNumberBillInvoice(orderNumber) {
  return request({
    url: '/bill/order/getByOrderNumberBillInvoice/' + orderNumber,
    method: 'get'
  })
}

